Loading...
Searching...
No Matches
nc4hdf.c File Reference
`#include "config.h"`
`#include "netcdf.h"`
`#include "nc4internal.h"`
`#include "ncdispatch.h"`
`#include "hdf5internal.h"`
`#include "hdf5err.h"`
`#include "hdf5debug.h"`
`#include <math.h>`
`#include <stddef.h>`
Include dependency graph for nc4hdf.c:

Go to the source code of this file.

## Macros

#define | NC_HDF5_MAX_NAME 1024

## Functions

static int | attach_dimscales (NC_GRP_INFO_T *grp)
static int | commit_type (NC_GRP_INFO_T *grp, NC_TYPE_INFO_T *type)
static int | create_group (NC_GRP_INFO_T *grp)
static int | flag_atts_dirty (NCindex *attlist)
int | nc4_adjust_var_cache (NC_GRP_INFO_T *grp, NC_VAR_INFO_T *var)
int | nc4_create_dim_wo_var (NC_DIM_INFO_T *dim)
int | nc4_get_hdf_typeid (NC_FILE_INFO_T *h5, nc_type xtype, hid_t *hdf_typeid, int endianness)
int | NC4_hdf5get_libversion (unsigned *major, unsigned *minor, unsigned *release)
int | NC4_hdf5get_superblock (struct NC_FILE_INFO *h5, int *idp)
int | NC4_isnetcdf4 (struct NC_FILE_INFO *h5)
int | nc4_open_var_grp2 (NC_GRP_INFO_T *grp, int varid, hid_t *dataset)
int | nc4_rec_match_dimscales (NC_GRP_INFO_T *grp)
int | nc4_rec_write_groups_types (NC_GRP_INFO_T *grp)
int | nc4_rec_write_metadata (NC_GRP_INFO_T *grp, nc_bool_t bad_coord_order)
static int | NC4_strict_att_exists (NC_FILE_INFO_T *)
static int | NC4_walk (hid_t, int *)
static int | put_att_grpa (NC_GRP_INFO_T *grp, int varid, NC_ATT_INFO_T *att)
int | rec_detach_scales (NC_GRP_INFO_T *grp, int dimid, hid_t dimscaleid)
int | rec_reattach_scales (NC_GRP_INFO_T *grp, int dimid, hid_t dimscaleid)
static int | remove_coord_atts (hid_t hdf_datasetid)
void | reportobject (int uselog, hid_t id, unsigned int type)
void | reportopenobjects (int uselog, hid_t fid)
static void | reportopenobjectsT (int uselog, hid_t fid, int ntypes, unsigned int *otypes)
void | showopenobjects (int ncid)
void | showopenobjects5 (NC_FILE_INFO_T *h5)
static int | var_create_dataset (NC_GRP_INFO_T *grp, NC_VAR_INFO_T *var, nc_bool_t write_dimid)
static int | var_exists (hid_t grpid, char *name, nc_bool_t *exists)
static int | write_attlist (NCindex *attlist, int varid, NC_GRP_INFO_T *grp)
static int | write_coord_dimids (NC_VAR_INFO_T *var)
static int | write_dim (NC_DIM_INFO_T *dim, NC_GRP_INFO_T *grp, nc_bool_t write_dimid)
static int | write_nc3_strict_att (hid_t hdf_grpid)
static int | write_netcdf4_dimid (hid_t datasetid, int dimid)
static int | write_quantize_att (NC_VAR_INFO_T *var)
static int | write_var (NC_VAR_INFO_T *var, NC_GRP_INFO_T *grp, nc_bool_t write_dimid)

## Macro Definition Documentation

## NC_HDF5_MAX_NAME

#define NC_HDF5_MAX_NAME 1024

Definition at line 32 of file nc4hdf.c.

## Function Documentation

## attach_dimscales()

int attach_dimscales | ( | NC_GRP_INFO_T * | grp | ) |

static

Definition at line 1414 of file nc4hdf.c.

## commit_type()

int commit_type | ( | NC_GRP_INFO_T * | grp,
|  | NC_TYPE_INFO_T * | type )

static

Definition at line 1168 of file nc4hdf.c.

## create_group()

int create_group | ( | NC_GRP_INFO_T * | grp | ) |

static

Definition at line 1354 of file nc4hdf.c.

## flag_atts_dirty()

int flag_atts_dirty | ( | NCindex * | attlist | ) |

static

Definition at line 43 of file nc4hdf.c.

## nc4_adjust_var_cache()

int nc4_adjust_var_cache | ( | NC_GRP_INFO_T * | grp,
|  | NC_VAR_INFO_T * | var )

Definition at line 1112 of file nc4hdf.c.

## nc4_create_dim_wo_var()

int nc4_create_dim_wo_var | ( | NC_DIM_INFO_T * | dim | ) |

Definition at line 1763 of file nc4hdf.c.

## nc4_get_hdf_typeid()

int nc4_get_hdf_typeid | ( | NC_FILE_INFO_T * | h5,
|  | nc_type | xtype,
|  | hid_t * | hdf_typeid,
|  | int | endianness )

Definition at line 249 of file nc4hdf.c.

## NC4_hdf5get_libversion()

int NC4_hdf5get_libversion | ( | unsigned * | major,
|  | unsigned * | minor,
|  | unsigned * | release )

Definition at line 2435 of file nc4hdf.c.

## NC4_hdf5get_superblock()

int NC4_hdf5get_superblock | ( | struct NC_FILE_INFO * | h5,
|  | int * | idp )

Definition at line 2453 of file nc4hdf.c.

## NC4_isnetcdf4()

int NC4_isnetcdf4 | ( | struct NC_FILE_INFO * | h5 | ) |

Definition at line 2502 of file nc4hdf.c.

## nc4_open_var_grp2()

int nc4_open_var_grp2 | ( | NC_GRP_INFO_T * | grp,
|  | int | varid,
|  | hid_t * | dataset )

Definition at line 202 of file nc4hdf.c.

## nc4_rec_match_dimscales()

int nc4_rec_match_dimscales | ( | NC_GRP_INFO_T * | grp | ) |

Definition at line 2075 of file nc4hdf.c.

## nc4_rec_write_groups_types()

int nc4_rec_write_groups_types | ( | NC_GRP_INFO_T * | grp | ) |

Definition at line 2019 of file nc4hdf.c.

## nc4_rec_write_metadata()

int nc4_rec_write_metadata | ( | NC_GRP_INFO_T * | grp,
|  | nc_bool_t | bad_coord_order )

Definition at line 1932 of file nc4hdf.c.

## NC4_strict_att_exists()

int NC4_strict_att_exists | ( | NC_FILE_INFO_T * | h5 | ) |

static

Definition at line 2536 of file nc4hdf.c.

## NC4_walk()

int NC4_walk | ( | hid_t | gid,
|  | int * | countp )

static

Definition at line 2560 of file nc4hdf.c.

## put_att_grpa()

int put_att_grpa | ( | NC_GRP_INFO_T * | grp,
|  | int | varid,
|  | NC_ATT_INFO_T * | att )

static

Definition at line 427 of file nc4hdf.c.

## rec_detach_scales()

int rec_detach_scales | ( | NC_GRP_INFO_T * | grp,
|  | int | dimid,
|  | hid_t | dimscaleid )

Definition at line 142 of file nc4hdf.c.

## rec_reattach_scales()

int rec_reattach_scales | ( | NC_GRP_INFO_T * | grp,
|  | int | dimid,
|  | hid_t | dimscaleid )

Definition at line 77 of file nc4hdf.c.

## remove_coord_atts()

int remove_coord_atts | ( | hid_t | hdf_datasetid | ) |

static

Definition at line 1520 of file nc4hdf.c.

## reportobject()

void reportobject | ( | int | uselog,
|  | hid_t | id,
|  | unsigned int | type )

Definition at line 2291 of file nc4hdf.c.

## reportopenobjects()

void reportopenobjects | ( | int | uselog,
|  | hid_t | fid )

Definition at line 2373 of file nc4hdf.c.

## reportopenobjectsT()

void reportopenobjectsT | ( | int | uselog,
|  | hid_t | fid,
|  | int | ntypes,
|  | unsigned int * | otypes )

static

Definition at line 2337 of file nc4hdf.c.

## showopenobjects()

void showopenobjects | ( | int | ncid | ) |

Definition at line 2411 of file nc4hdf.c.

## showopenobjects5()

void showopenobjects5 | ( | NC_FILE_INFO_T * | h5 | ) |

Definition at line 2389 of file nc4hdf.c.

## var_create_dataset()

int var_create_dataset | ( | NC_GRP_INFO_T * | grp,
|  | NC_VAR_INFO_T * | var,
|  | nc_bool_t | write_dimid )

static

Definition at line 802 of file nc4hdf.c.

## var_exists()

int var_exists | ( | hid_t | grpid,
|  | char * | name,
|  | nc_bool_t * | exists )

static

Definition at line 1479 of file nc4hdf.c.

## write_attlist()

int write_attlist | ( | NCindex * | attlist,
|  | int | varid,
|  | NC_GRP_INFO_T * | grp )

static

Definition at line 607 of file nc4hdf.c.

## write_coord_dimids()

int write_coord_dimids | ( | NC_VAR_INFO_T * | var | ) |

static

Definition at line 642 of file nc4hdf.c.

## write_dim()

int write_dim | ( | NC_DIM_INFO_T * | dim,
|  | NC_GRP_INFO_T * | grp,
|  | nc_bool_t | write_dimid )

static

Definition at line 1855 of file nc4hdf.c.

## write_nc3_strict_att()

int write_nc3_strict_att | ( | hid_t | hdf_grpid | ) |

static

Definition at line 1309 of file nc4hdf.c.

## write_netcdf4_dimid()

int write_netcdf4_dimid | ( | hid_t | datasetid,
|  | int | dimid )

static

Definition at line 748 of file nc4hdf.c.

## write_quantize_att()

int write_quantize_att | ( | NC_VAR_INFO_T * | var | ) |

static

Definition at line 687 of file nc4hdf.c.

## write_var()

int write_var | ( | NC_VAR_INFO_T * | var,
|  | NC_GRP_INFO_T * | grp,
|  | nc_bool_t | write_dimid )

static

Definition at line 1569 of file nc4hdf.c.